Subject: Re: bug#23609: 25.0.92; Python eldoc freeze

From: Jules Tamagnan <[email-masked]>
Date: Fri, 27 May 2016 13:12:54 -0400

Dmitry Gutov <[email-masked]> writes:

> On 05/27/2016 07:12 PM, Jules Tamagnan wrote:
>
>> +(defvar-local python-eldoc-get-doc t
>> +  "If eldoc should be used to get the documentation automatically")
>
> Why not unset/un-advise eldoc-documentation-function instead?
>
> A new variable doesn't seem necessary. Having python-eldoc-function do
> nothing in certain cases, on the other hand, might look puzzling.

I thought that this would make it clearer and easier to check if the
automatic eldoc check was disabled. Also easier to reset if somebody
wanted to. Python-eldoc-function isn't interactive and is not used
anywhere else so I didn't think it would be a big issue if it were
simply disabled